Loading...
Searching...
No Matches
Halide::EvictionKey Class Reference

Helper class for identifying purpose of an Expr passed to memoize. More...

`#include <Func.h>`

## Public Member Functions

| EvictionKey (const Expr &expr=Expr())

## Protected Attributes

Expr | key

## Detailed Description

Helper class for identifying purpose of an Expr passed to memoize.

Definition at line 691 of file Func.h.

## Constructor & Destructor Documentation

## EvictionKey()

Halide::EvictionKey::EvictionKey | ( | const Expr & | expr = Expr() | ) |

inline explicit

Definition at line 697 of file Func.h.

References key.

## Member Data Documentation

## key

Expr Halide::EvictionKey::key

protected

Definition at line 693 of file Func.h.

Referenced by EvictionKey().

The documentation for this class was generated from the following file:

- src/Func.h